@echo off
REM Checking Windows Architecture
echo Checking Windows OS architecture...

echo %PROCESSOR_ARCHITECTURE% | findstr /i ".86." > nul
IF %ERRORLEVEL% == 0 goto ver_OS32_hence_exit_instal
echo %PROCESSOR_ARCHITECTURE%  | findstr /i ".64." > nul
IF %ERRORLEVEL%== 0 goto install_pd_for_ver_64

REM If it comes here, then it means there is an error in finding the OS architecture
goto os_error_exit

REM if OS architecture is 32-Bit
:ver_OS32_hence_exit_instal
    echo 32-bit Operating System detected
    echo You seem to be installing 64-Bit PlanDeer. Please recheck the installer
    echo Exiting installation process...
goto end

REM if OS architecture is 64-Bit
:install_pd_for_ver_64
    echo 64 bit detected
    echo Installing application...
    msiexec.exe /i "PlanDeer10_v20_1_064_Ins_via_Bat_2of2.pdi" /norestart /qb /le pd.log
    if Not %ERRORLEVEL%==0 goto error_exit
    set "is_Lockxls_installed = True"
    msiexec.exe /i "PlanDeer10_v20_1_064_Ins_via_Bat_1of2.pdi" /norestart /le+ pd.log
    if Not %ERRORLEVEL%==0 goto error_exit
    REM Second part of installation being done
    echo application installed successfully...
goto end

REM in case error during installation
:error_exit
    REM if Lockxls installation is over and an error occurs during PlanDeer installation, then uninstall LockXLS
    if is_Lockxls_installed==True msiexec.exe /uninstall PlanDeer10_v20_1_064_Ins_via_Bat_2of2.pdi
    echo Error encountered during installation
    echo ERRORCODE - %ERRORLEVEL%
    echo Please try installing again. If the error persists, contact support team with the above error code
goto end

REM in case none of these found simply exit
:os_error_exit
    echo Windows OS bit could not be determined.
goto end

:end
    pause
exit 
